Заказы на доработку 1С (сервис удаленной работы)

Хранилище

База знаний
Неназначенных незавершенных заказов: 6, свеженьких 1
Бесплатные отчеты, обработки, конфигурации, внешние компоненты для 1С Статьи, описание работы, методики по работе с 1С

Здравствуйте, гость ( Вход | Зарегистрироваться )

> совместима ли бухгалтерия для украины 2.0 с платформой 3.11          
SvetaS Подменю пользователя
сообщение 16.10.18, 10:18
Сообщение #1

Молчаливый
*
Группа: Пользователи
Сообщений: 9
Спасибо сказали: 0 раз
Рейтинг: 0

Добрый День!
Нужно срочно перейти на "Бухгалтерию для Украины 2.0", но директор хочет нестандартные изменения без снятия с поддержки, это позволяет сделать механизм использования "расширений"...
совместима ли бухгалтерия для Украины 2.0 с платформой 3.11, для работы с расширениями?
Кто знает как можно сделать это ? кто может сделать адаптацию "Бухгалтерию для Украины 2.0" под платформу 3.11, для использования механизма расширений?

sava1 Подменю пользователя
сообщение 16.10.18, 10:39
Сообщение #2

Крутой
Иконка группы
Группа: Местный
Сообщений: 1934
Из: Проскуров
Спасибо сказали: 450 раз
Рейтинг: 440.1

1. совместимость 3.4
2. снять совместимость (и ,возможно, получить гемор).

SvetaS Подменю пользователя
сообщение 16.10.18, 10:55
Сообщение #3

Молчаливый
*
Группа: Пользователи
Сообщений: 9
Спасибо сказали: 0 раз
Рейтинг: 0

кто может сделать адаптацию "Бухгалтерию для Украины 2.0" под платформу 3.11, для использования механизма расширений?

sava1 Подменю пользователя
сообщение 16.10.18, 11:03
Сообщение #4

Крутой
Иконка группы
Группа: Местный
Сообщений: 1934
Из: Проскуров
Спасибо сказали: 450 раз
Рейтинг: 440.1

Вы ищите камикадзе ?
Любой - снять совместимость - как два байта...
Потом (через день/неделю/месяц) начнут "лезть" непонятки.
Если разработчик не поднимает - значит есть какие-то основания. (А может и нет....)

SvetaS Подменю пользователя
сообщение 16.10.18, 11:21
Сообщение #5

Молчаливый
*
Группа: Пользователи
Сообщений: 9
Спасибо сказали: 0 раз
Рейтинг: 0

sava1 @ Сегодня, 12:03 * ,
так в этом и вопрос , чтобы не "снимать с обслуживания конфигурацию", но добавить изменения с помощью технологии расширений, чтобы она находилась на обслуживании, но имела нужные изменения...

Vidocq05 Подменю пользователя
сообщение 16.10.18, 11:23
Сообщение #6

Завсегдатай
****
Группа: Пользователи
Сообщений: 176
Из: Сумы
Спасибо сказали: 28 раз
Рейтинг: 28

Цитата(SvetaS @ 16.10.18, 11:55) *
кто может сделать адаптацию "Бухгалтерию для Украины 2.0" под платформу 3.11, для использования механизма расширений?

Сделать то можно, но для этого нужно отключить режим совместимости + скорее всего нужно будет вносить корректировки в конфигурацию. Результат - конфигурация снята с поддержки. В данном случае смысла в расширениях не вижу.

SvetaS Подменю пользователя
сообщение 16.10.18, 11:30
Сообщение #7

Молчаливый
*
Группа: Пользователи
Сообщений: 9
Спасибо сказали: 0 раз
Рейтинг: 0

Vidocq05 @ Сегодня, 12:23 * ,
нужно чтобы конфигурация не была снята с поддержки, в этом и был вопрос

Vidocq05 Подменю пользователя
сообщение 16.10.18, 11:43
Сообщение #8

Завсегдатай
****
Группа: Пользователи
Сообщений: 176
Из: Сумы
Спасибо сказали: 28 раз
Рейтинг: 28

Цитата(SvetaS @ 16.10.18, 12:30) *
нужно чтобы конфигурация не была снята с поддержки, в этом и был вопрос

Если Вам нужно, что бы конфигурация находилась на полной поддержке и использовать расширения, ответ - этого сделать нельзя.

SvetaS Подменю пользователя
сообщение 16.10.18, 11:58
Сообщение #9

Молчаливый
*
Группа: Пользователи
Сообщений: 9
Спасибо сказали: 0 раз
Рейтинг: 0

Vidocq05 @ Сегодня, 12:43 * ,
т.е. в Украинских конфигурациях, пока совместимости с платформой 3.11 нет, которая позволяет использовать расширения, и чтобы внести какие-либо изменения, нужно в любом случае "полностью снимать с обслуживания"?

SvetaS @ Сегодня, 12:55 * ,
и получается один выход -не делать никаких изменений, до выхода версии под 3.11?
или есть какие-либо лазейки?
если мы сними сейчас с обслуживания, то выход версии под 3.11 с технологией расширений, уже не поможет?

Petre Подменю пользователя
сообщение 16.10.18, 12:12
Сообщение #10

Живет на форуме
Иконка группы
Группа: Местный
Сообщений: 2458
Из: Київ, Україна
Спасибо сказали: 615 раз
Рейтинг: 575.5

Практикую следующее.
1. Включаю поддержку с возможностью изменений, устанавливая запрет для всех объектов, кроме корня конфигурации.
2. Переключаю режим совместимости на 8.3.7 (выше - вызывает проблемы).
3. Добавляю расширение.


Signature
Допрацьовую:
- "Бухгалтерія для України 1.2";
- "Бухгалтерія для України 2.0";
- "Альфа-Авто: Автосалон+Автосервіс+Автозапчастини, українська версія".

Спасибо сказали: Gorus,

SvetaS Подменю пользователя
сообщение 16.10.18, 12:17
Сообщение #11

Молчаливый
*
Группа: Пользователи
Сообщений: 9
Спасибо сказали: 0 раз
Рейтинг: 0

Petre @ Сегодня, 13:12 * ,
Petre- вы от кампании или фрилансер?

Vidocq05 Подменю пользователя
сообщение 16.10.18, 12:25
Сообщение #12

Завсегдатай
****
Группа: Пользователи
Сообщений: 176
Из: Сумы
Спасибо сказали: 28 раз
Рейтинг: 28

SvetaS @ Сегодня, 13:17 * ,
Цитата(Petre @ 16.10.18, 13:12) *
Практикую следующее.
1. Включаю поддержку с возможностью изменений, устанавливая запрет для всех объектов, кроме корня конфигурации.
2. Переключаю режим совместимости на 8.3.7 (выше - вызывает проблемы).
3. Добавляю расширение.

Можно так. Но обновлять конфигурацию в полностью автоматическом режиме уже не получится.

Petre Подменю пользователя
сообщение 16.10.18, 12:59
Сообщение #13

Живет на форуме
Иконка группы
Группа: Местный
Сообщений: 2458
Из: Київ, Україна
Спасибо сказали: 615 раз
Рейтинг: 575.5

SvetaS @ Today, 12:17 * ,
Два в одном.

Vidocq05 @ Today, 12:25 * ,
Да. После пакетного обновления таки придется открыть конфигуратор и снова изменить свойство совместимости. Но этот компромис того стоит. Иначе - ждать лет пять-десять поднятия версии БСП в БПУ...


Signature
Допрацьовую:
- "Бухгалтерія для України 1.2";
- "Бухгалтерія для України 2.0";
- "Альфа-Авто: Автосалон+Автосервіс+Автозапчастини, українська версія".

SvetaS Подменю пользователя
сообщение 16.10.18, 13:20
Сообщение #14

Молчаливый
*
Группа: Пользователи
Сообщений: 9
Спасибо сказали: 0 раз
Рейтинг: 0

Petre @ Сегодня, 13:59 * ,
Petre, - жду предложений

Gorus Подменю пользователя
сообщение 01.11.18, 10:31
Сообщение #15

Молчаливый
*
Группа: Пользователи
Сообщений: 9
Спасибо сказали: 10 раз
Рейтинг: 4.3

Если отключить совместимость полностью, то платформа запрещает вызывать сервер при закрытии форм и приложения. Соответственно имеем проблемы с сохранением настроек при закрытии форм и сложноисправляемую ошибку при закрытии приложения.
Если установить совместимость с 8.3.7, то имеем ошибку при установке параметров выбора (ПараметрыВыбора = Новый Структура... - примеры: налоговая накладная при выборе кода НН, акт сверки при выборе периода).
Это те ошибки с которыми столкнулся лично. Не факт, что нет и других.

Не нашли ответа на свой вопрос?
Зарегистрируйтесь и задайте новый вопрос.


Ответить Новая тема
2 чел. читают эту тему (гостей: 2, скрытых пользователей: 0)
Пользователей: 0

 

RSS Текстовая версия Сейчас: 17.12.18, 21:42
1С Предприятие 8.3, 1С Предприятие 8.2, 1С Предприятие 8.1, 1С Предприятие 8.0, 1С Предприятие 7.7, Литература 1С, Общие вопросы по администрированию 1С, Методическая поддержка 1С - всё в одном месте: на Украинском 1С форуме!

Курсы валют: доллар США к гривне Курсы валют: евро к гривне Курсы валют: российский рубль к гривне